<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'chart-definition-view'">
  @if (chartDefinitionViewService.componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <div class="full-width test-case-content-head p-t-10 p-r-30 flex">
          <div class="header-left">
            <div class="m-t-10" style="width: 40px">
              <sqtm-core-fold-button></sqtm-core-fold-button>
            </div>
          </div>
          <div class="header-center full-width">
            <div class="title">
              <sqtm-core-editable-text-field
                #chartNameEditableField
                class="entity-name"
                [attr.data-test-field-id]="'entity-name'"
                [editable]="componentData.permissions.canWrite"
                [required]="true"
                [trimValue]="true"
                [layout]="'compact'"
                [size]="'large'"
                [value]="componentData.chartDefinition.name"
                (confirmEvent)="
                  changeChartName(
                    $event,
                    componentData.chartDefinition.customReportLibraryNodeId
                  )
                "
              >
              </sqtm-core-editable-text-field>
            </div>
          </div>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'chart'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.chart-definition.label' | translate
                    "
                    [iconName]="'sqtm-core-tree:chart'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    [id]="'information'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.test-case-workspace.title.information'
                        | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
  }
</sqtm-core-entity-view-wrapper>
